OGRE-Next: Ogre::bitset64 Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::bitset64 Class Reference
Core

See cbitset64. More...

`#include <OgreBitset.h>`

## Public Member Functions
| bitset64 ()
size_t | capacity () const
| Return maximum number of bits this bitset can hold.
void | clear ()
| Sets all bits to 0.
bool | empty () const
| Returns true if all bits are unset.
size_t | findFirstBitSet () const
| Finds the first bit set.
size_t | findLastBitSetPlusOne () const
| Finds the first bit unset after the last bit set.
size_t | numBitsSet (const size_t positionEnd) const
| Returns the number of bits that are set between range [0; positionEnd).
void | reset (size_t bitsCapacity)
void | set (const size_t position)
| Sets bit at 'position' to 1.
void | setAll ()
| Sets all bits to 1.
void | setAllUntil (size_t position)
| Sets all bits in range [0; position) It's the same as calling:
void | setValue (const size_t position, const bool bValue)
| Sets bit at 'position'.
bool | test (const size_t position) const
| Returns true if bit at 'position' is 1.
void | unset (const size_t position)
| Sets bit at 'position' to 0.

## Detailed Description

See cbitset64.

This is the same, but the maximum number of bits is not known at build time

## Constructor & Destructor Documentation

## ◆ bitset64()

Ogre::bitset64::bitset64 | ( |  | ) |
| inline

## Member Function Documentation

## ◆ capacity()

size_t Ogre::bitset64::capacity | ( |  | ) | const
| inline

Return maximum number of bits this bitset can hold.

## ◆ clear()

void Ogre::bitset64::clear | ( |  | ) |
| inline

Sets all bits to 0.

## ◆ empty()

bool Ogre::bitset64::empty | ( |  | ) | const
| inline

Returns true if all bits are unset.

## ◆ findFirstBitSet()

size_t Ogre::bitset64::findFirstBitSet | ( |  | ) | const
| inline

Finds the first bit set.

Returns
  The index to the first unset bit returns this->capacity() if all bits are unset (i.e. all 0s)

## ◆ findLastBitSetPlusOne()

size_t Ogre::bitset64::findLastBitSetPlusOne | ( |  | ) | const
| inline

Finds the first bit unset after the last bit set.

Returns
  If all bits are unset (i.e. all 0s): Returns 0 If at least one bit is set: The index to the last set bit, plus one. Return range is [1; capacity]

## ◆ numBitsSet()

size_t Ogre::bitset64::numBitsSet | ( | const size_t | positionEnd | ) | const
| inline

Returns the number of bits that are set between range [0; positionEnd).

## ◆ reset()

void Ogre::bitset64::reset | ( | size_t | bitsCapacity | ) |
| inline

## ◆ set()

void Ogre::bitset64::set | ( | const size_t | position | ) |
| inline

Sets bit at 'position' to 1.

Parameters

  position | Value in range [0; _N)

## ◆ setAll()

void Ogre::bitset64::setAll | ( |  | ) |
| inline

Sets all bits to 1.

## ◆ setAllUntil()

void Ogre::bitset64::setAllUntil | ( | size_t | position | ) |
| inline

Sets all bits in range [0; position) It's the same as calling:

for( size_t i = 0u; i < position; ++i ) this->set( i );

Values in range [position; _N) are left untouched

Parameters

  position |

## ◆ setValue()

void Ogre::bitset64::setValue | ( | const size_t | position,
|  | const bool | bValue )
| inline

Sets bit at 'position'.

Parameters

  position | Value in range [0; _N)
  bValue |

## ◆ test()

bool Ogre::bitset64::test | ( | const size_t | position | ) | const
| inline

Returns true if bit at 'position' is 1.

Parameters

  position | Value in range [0; _N)

## ◆ unset()

void Ogre::bitset64::unset | ( | const size_t | position | ) |
| inline

Sets bit at 'position' to 0.

Parameters

  position | Value in range [0; _N)

The documentation for this class was generated from the following file:

- OgreBitset.h